Subject: Re: bug#36403: 27.0.50; Trivial image.c bugs

From: Alan Third <[email-masked]>
Date: Fri, 21 Aug 2020 01:03:34 +0200 (CEST)

On Tue, Aug 18, 2020 at 06:28:19PM +0200, Lars Ingebrigtsen wrote:
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > Lars Ingebrigtsen <[email-masked]> writes:
> >
> >> Pip Cet <[email-masked]> writes:
> >>
> >>> IIRC, Fequal throwing a signal at this point caused a livelock, so we
> >>> needed a stricter check. I'll look into it again to see whether
> >>> there's a better alternative.
> >>
> >> This was eight weeks ago, and as far as I can tell, the patch (which
> >> looks sensible) wasn't applied.  Has there been any further progress
> >> here?
> >
> > And that was 44 weeks ago.  :-)  The patch still applies.
> 
> I've now applied the patch, but I moved the test suite to test/manual --
> they call `image-size', which requires a frame to be present...  which
> isn't the case when running "make test", unfortunately.

Hi, this patch appears to have broken something (in NS at least) and
now interactively resizing an image no longer causes the image to be
immediately redisplayed. I have to force a redisplay some other way
before I see the resized image.
-- 
Alan Third